Subject: Re: [PATCH v3 21/22] diff: free state populated via options

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Aug 2024 09:31:29 -0700

Patrick Steinhardt <[email-masked]> writes:

> The `objfind` and `anchors` members of `struct diff_options` are
> populated via option parsing, but are never freed in `diff_free()`. Fix
> this to plug those memory leaks.

Thanks.

Even though "diff" is generally my bailiwick, I've never paid
attention to these features (hence the resources they consume and
leak).  The patch looks good to me.